Test the Netsuite connection credentials
1 min
POST
https://app.amberflo.io/integration/billing/netsuite/ping
Body Parameters
- bodypayment.payment.AccountIntegrationSettings.in
- accountIdstring
- idstring
- createdTimeInSecondsinteger<int64>
- updatedTimeInSecondsinteger<int64>
- typestringrequiredDescription
- namestringrequiredDescription
- descriptionstringDescription
- settingsmap<string, string>requiredDescription
Responses
200
- com.amberflo.integration.billing.netsuite.NetsuitePingResponse.out
- statusbooleanDescription
- errorMessagestringDescription
curl
curl --request POST \
--url https://app.amberflo.io/integration/billing/netsuite/ping \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"type": "",
"name": "",
"settings": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"type": "",
"name": "",
"settings": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/integration/billing/netsuite/ping", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/integration/billing/netsuite/ping")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"type": "",
"name": "",
"settings": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/integration/billing/netsuite/ping"
payload = json.dumps({
"type": "",
"name": "",
"settings": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"status": false,
"errorMessage": ""
}